const workerThreads = require(`worker_threads`);
const workerData = workerThreads.workerData;
const fs = require(`fs`);
const path = require(`path`);
const https = require(`https`);

function random(minimum, maximum) {
	return Math.floor((Math.random() * (maximum - minimum)) + minimum);
}

let timer = 0;
let currentLine = 0;
let currentWebhook = 0;
let currentInterval = 0;
let lines = fs.readFileSync(path.join(__dirname, `texts.d`, workerData.text)).toString().split(/\r?\n+/g);

setInterval(() => {
	if (timer >= currentInterval) {
		if (currentLine >= lines.length) currentLine = 0;
		if (currentWebhook >= workerData.webhooks.length) currentWebhook = 0;

		https.request(workerData.webhooks[currentWebhook], {
			method: `POST`,
			headers: {
				"Content-Type": `application/json`
			}
		}).end(JSON.stringify({
			content: lines[currentLine]
		}))

		currentLine ++;
		currentWebhook ++;
		currentInterval = random(workerData.intervals.minimum, workerData.intervals.maximum);
		timer = 0;
	}
	timer ++;
}, 1);